Index: /ipk/source.sh4/titaninfos_stock/CONTROL/control
===================================================================
--- /ipk/source.sh4/titaninfos_stock/CONTROL/control	(revision 15575)
+++ /ipk/source.sh4/titaninfos_stock/CONTROL/control	(revision 15575)
@@ -0,0 +1,10 @@
+Package: titan-plugin-infos-stock
+Version: 1.6
+Architecture: sh4
+OE: Callmonitor
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: nit by AAF 
+Description: stock Plugin
Index: /ipk/source.sh4/titaninfos_stock/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titaninfos_stock/CONTROL/postinst	(revision 15575)
+++ /ipk/source.sh4/titaninfos_stock/CONTROL/postinst	(revision 15575)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.infos
+
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titaninfos_stock/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titaninfos_stock/CONTROL/postrm	(revision 15575)
+++ /ipk/source.sh4/titaninfos_stock/CONTROL/postrm	(revision 15575)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.infos
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/stock
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titaninfos_stock/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titaninfos_stock/CONTROL/preinst	(revision 15575)
+++ /ipk/source.sh4/titaninfos_stock/CONTROL/preinst	(revision 15575)
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+TMP=/tmp/.infos
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "install stock Plugin ..."
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=14
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+exit 0
Index: /ipk/source.sh4/titaninfos_stock/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titaninfos_stock/CONTROL/prerm	(revision 15575)
+++ /ipk/source.sh4/titaninfos_stock/CONTROL/prerm	(revision 15575)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.infos
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing stock Plugin"
+exit 0
Index: /ipk/source.sh4/titaninfos_streaminfo/CONTROL/control
===================================================================
--- /ipk/source.sh4/titaninfos_streaminfo/CONTROL/control	(revision 15575)
+++ /ipk/source.sh4/titaninfos_streaminfo/CONTROL/control	(revision 15575)
@@ -0,0 +1,10 @@
+Package: titan-plugin-infos-streaminfo
+Version: 1.6
+Architecture: sh4
+OE: Callmonitor
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: nit by AAF 
+Description: streaminfo Plugin
Index: /ipk/source.sh4/titaninfos_streaminfo/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titaninfos_streaminfo/CONTROL/postinst	(revision 15575)
+++ /ipk/source.sh4/titaninfos_streaminfo/CONTROL/postinst	(revision 15575)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.infos
+
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titaninfos_streaminfo/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titaninfos_streaminfo/CONTROL/postrm	(revision 15575)
+++ /ipk/source.sh4/titaninfos_streaminfo/CONTROL/postrm	(revision 15575)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.infos
+PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions/streaminfo
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titaninfos_streaminfo/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titaninfos_streaminfo/CONTROL/preinst	(revision 15575)
+++ /ipk/source.sh4/titaninfos_streaminfo/CONTROL/preinst	(revision 15575)
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+TMP=/tmp/.infos
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "install streaminfo Plugin ..."
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=14
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+exit 0
Index: /ipk/source.sh4/titaninfos_streaminfo/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titaninfos_streaminfo/CONTROL/prerm	(revision 15575)
+++ /ipk/source.sh4/titaninfos_streaminfo/CONTROL/prerm	(revision 15575)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.infos
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing streaminfo Plugin"
+exit 0
